summaryrefslogtreecommitdiff
path: root/dev-python/aiohttp/aiohttp-3.6.2-r1.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/aiohttp/aiohttp-3.6.2-r1.ebuild')
-rw-r--r--dev-python/aiohttp/aiohttp-3.6.2-r1.ebuild6
1 files changed, 5 insertions, 1 deletions
diff --git a/dev-python/aiohttp/aiohttp-3.6.2-r1.ebuild b/dev-python/aiohttp/aiohttp-3.6.2-r1.ebuild
index 160caaef8fbd..85649f355101 100644
--- a/dev-python/aiohttp/aiohttp-3.6.2-r1.ebuild
+++ b/dev-python/aiohttp/aiohttp-3.6.2-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -140,6 +140,10 @@ python_prepare_all() {
sed -e 's:test_proxy_https_bad_response:_&:' \
-i tests/test_proxy_functional.py || die
+ # newer chardet works too
+ sed -e 's|chardet>=2.0,<4.0|chardet>=2.0|' \
+ -i setup.py aiohttp.egg-info/requires.txt || die
+
distutils-r1_python_prepare_all
}